<?php
require_once("DBManager.class.php");

class Familiar{
	private $idfamiliar;
	private $idafiliado;///
	private $dni;
	private $nombres;
	private $fechanac;
	private $parentesco;
	private $sangre;
		
	///////////////////////////////////////////
	public function Crear($idafi,$dni,$nom,$f,$paren,$sangre)
	{
		$resp=false;		
		$db= new DBManager();	
		$f = implode("-", array_reverse(explode("-", $f)));	
		if($db->_execute("INSERT INTO familiar(idfamiliar,idafiliado,dni,nombres,fechanac,parentesco,sangre) VALUES(null,".$idafi.",'".$dni."','".$nom."','".$f."','".$paren."','".$sangre."')"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorAfiliado($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select idfamiliar,idafiliado,dni,nombres,DATE_FORMAT(fechanac,'%d-%m-%Y') AS fechanac,parentesco,sangre from familiar where(nombres LIKE CONCAT('%','".$v."','%'))");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idfamiliar"	    => $rs->fields["idfamiliar"],
									"idafiliado"	    => $rs->fields["idafiliado"],
									"dni" 	    => $rs->fields["dni"],
									"nombres" 	=> $rs->fields["nombres"],
									"fechanac" => $rs->fields["fechanac"],
									"parentesco" 	=> $rs->fields["parentesco"],
									"sangre" 	=> $rs->fields["sangre"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select idfamiliar,idafiliado,dni,nombres,DATE_FORMAT(fechanac,'%d-%m-%Y') AS fechanac,parentesco,sangre from familiar where(idfamiliar = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                 $this->idfamiliar=$rs->fields["idfamiliar"];
					  $this->idafiliado=$rs->fields["idafiliado"];
					  $this->dni=$rs->fields["dni"];
				      $this->nombres=$rs->fields["nombres"];
					  $this->fechanac=$rs->fields["fechanac"];
					  $this->parentesco=$rs->fields["parentesco"];
					  $this->sangre=$rs->fields["sangre"];
					  
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	////////////////////////////////////////////	
	
	public function Actualizar($idafi,$dni,$nom,$fn,$paren,$sangre)			
	{
		$resp=false;		
		$db= new DBManager();	
		$fn = implode("-",array_reverse(explode("-",$fn)));	
		if($db->_execute("update familiar set idafiliado = ".$idafi.", dni='".$dni."',nombres = '".$nom."', fechanac = '".$fn."',parentesco = '".$paren."',sangre='".$sangre."' where (idfamiliar=".$vid.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	
	/////////////////////////////////
	public function ListaPorIdafiliado($id)
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select idfamiliar,idafiliado,dni,nombres,DATE_FORMAT(fechanac,'%d-%m-%Y') AS fechanac,parentesco,sangre from familiar where idafiliado=".$id." ");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idfamiliar"	    => $rs->fields["idfamiliar"],
									"idafiliado"	    => $rs->fields["idafiliado"],
									"dni" 	    => $rs->fields["dni"],
									"nombres" 	=> $rs->fields["nombres"],
									"fechanac" => $rs->fields["fechanac"],
									"parentesco" 	=> $rs->fields["parentesco"],
									"sangre" 	=> $rs->fields["sangre"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	

	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM familiar WHERE (idfamiliar=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	/////////////////////////////////////////						
	public function getidfamiliar(){ return $this->idfamiliar;}
	public function getidafiliado(){ return $this->idafiliado;}
	public function getnombres(){ return $this->nombres;}
	public function getdni(){ return $this->dni;}
	public function getfechanac(){ return $this->fechanac;}
	public function getparentesco(){ return $this->parentesco;}
	public function getsangre(){ return $this->sangre;}
	
	}
?>
